#include "DxLib.h"
#include "JankenCalc.h"
#include "Keyboard.h"
#include "JankenHand.h"

static int PlayerHand; // vC[̎Ai[ϐ(0=[A1=傫A2=ρ[)
static int CPUHand; // CPU̎Ai[ϐ(0=[A1=傫A2=ρ[)

void JankenCalc_Initilize(){
	PlayerHand = -1; // 0,1,2ȊOŏ
	CPUHand = -1; // 0,1,2ȊOŏ
}

void JankenCalc_GetHand(){
	if( Keyboard_Get( KEY_INPUT_Z ) == 1 ){ // ZL[ꂽ
		PlayerHand = 0; // 0
		JankenHand_DrawPlayerGu(); // v[[̂[`
		CPUHand = GetRand(2); // CPU̎_Ɏ擾
	}

	if( Keyboard_Get( KEY_INPUT_X ) == 1 ){ // XL[ꂽ
		PlayerHand = 1; // 1
		JankenHand_DrawPlayerTyoki(); // vC[̂傫`
		CPUHand = GetRand(2); // CPU̎_Ɏ擾
	}

	if( Keyboard_Get( KEY_INPUT_C ) == 1 ){ // CL[ꂽ
		PlayerHand = 2; // 2
		JankenHand_DrawPlayerPa(); // vC[̂ρ[`
		CPUHand = GetRand(2); // CPU̎_Ɏ擾
	}
}

int JankenCalc_DrawResult(){
	if( PlayerHand == 0 ){ // vC[̎肪O[
		JankenHand_DrawPlayerGu();

		switch( CPUHand ){
			case 0: // CPU̎肪[
				JankenHand_DrawCPUGu();
				JankenHand_DrawResultDraw();
				return 1; // 1Ԃ
			case 1: // CPU̎肪傫
				JankenHand_DrawCPUTyoki();
				JankenHand_DrawResultWin();
				return 2; // s܂2Ԃ
			case 2: // CPU̎肪p[
				JankenHand_DrawCPUPa();
				JankenHand_DrawResultDefeat();
				return 2;// s܂2Ԃ
			default:
				return -1; // G[
		}
	}

	if( PlayerHand == 1 ){ // vC[̎肪傫
		JankenHand_DrawPlayerGu();

		switch( CPUHand ){
			case 0: // CPU̎肪[
				JankenHand_DrawCPUGu();
				JankenHand_DrawResultDefeat();
				return 2; // s܂2Ԃ
			case 1: // CPU̎肪傫
				JankenHand_DrawCPUTyoki();
				JankenHand_DrawResultDraw();
				return 1; // 1Ԃ
			case 2: // CPU̎肪p[
				JankenHand_DrawCPUPa();
				JankenHand_DrawResultWin();
				return 2; // s܂2Ԃ
			default:
				return -1; // G[
		}
	}

	if( PlayerHand == 2 ){ // vC[̎肪ρ[
		JankenHand_DrawPlayerGu();

		switch( CPUHand ){
			case 0: // CPU̎肪[
				JankenHand_DrawCPUGu();
				JankenHand_DrawResultWin();
				return 2; // s܂2Ԃ
			case 1: // CPU̎肪傫
				JankenHand_DrawCPUTyoki();
				JankenHand_DrawResultDefeat();
				return 2; // s܂2Ԃ
			case 2: // CPU̎肪p[
				JankenHand_DrawCPUPa();
				JankenHand_DrawResultDraw();
				return 1; // 1Ԃ
			default:
				return -1; // G[
		}
	}
	
	return -1; // G[
}
